# Ogre::FloatGpuParameterControllerValue Class Reference

Predefined controller value for setting a single floating- point value in a constant paramter of a vertex or fragment program. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::FloatGpuParameterControllerValue:

List of all members.

## Public Member Functions

| FloatGpuParameterControllerValue (GpuProgramParameters *params, size_t index)
| Constructor.
| ~FloatGpuParameterControllerValue ()
Real | getValue (void) const
void | setValue (Real value)

## Protected Attributes

GpuProgramParameters * | mParams
| The parameters to access.
size_t | mParamIndex
| The index of the parameter to e read or set.

## Detailed Description

Predefined controller value for setting a single floating- point value in a constant paramter of a vertex or fragment program.

Remarks:
  Any value is accepted, it is propagated into the 'x' component of the constant register identified by the index. If you need to use named parameters, retrieve the index from the param object before setting this controller up.

Note:
  Retrieving a value from the program parameters is not currently supported, therefore do not use this controller value as a source, only as a target.

Definition at line 131 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::FloatGpuParameterControllerValue::FloatGpuParameterControllerValue | ( | GpuProgramParameters * | params,
|  | size_t | index
| ) |

Constructor.

Parameters:

  params | The parameters object to access
  index | The index of the parameter to be set

Ogre::FloatGpuParameterControllerValue::~FloatGpuParameterControllerValue | ( |  | ) |

| Definition at line 148 of file OgrePredefinedControllers.h.

## Member Function Documentation

Real Ogre::FloatGpuParameterControllerValue::getValue | ( | void |  | ) | const`[virtual]`

| Implements Ogre::ControllerValue< Real >.

void Ogre::FloatGpuParameterControllerValue::setValue | ( | Real | value | ) | `[virtual]`

| Implements Ogre::ControllerValue< Real >.

## Member Data Documentation

size_t Ogre::FloatGpuParameterControllerValue::mParamIndex `[protected]`

| The index of the parameter to e read or set. Definition at line 137 of file OgrePredefinedControllers.h.

GpuProgramParameters* Ogre::FloatGpuParameterControllerValue::mParams `[protected]`

| The parameters to access. Definition at line 135 of file OgrePredefinedControllers.h.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:02:10 2006